IESCipher.ECIESwithCipher (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.asymmetric.ec

## Class IESCipher.ECIESwithCipher

- java.lang.Object
- - javax.crypto.CipherSpi
  - - org.bouncycastle.jcajce.provider.asymmetric.ec.IESCipher
    - - org.bouncycastle.jcajce.provider.asymmetric.ec.IESCipher.ECIESwithCipher

- Direct Known Subclasses:
    IESCipher.ECIESwithAES, IESCipher.ECIESwithAESCBC, IESCipher.ECIESwithDESede, IESCipher.ECIESwithDESedeCBC
  Enclosing class:
    IESCipher

      public static class IESCipher.ECIESwithCipher
      extends IESCipher

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.jcajce.provider.asymmetric.ec.IESCipher

      `IESCipher.ECIES, IESCipher.ECIESwithAES, IESCipher.ECIESwithAESCBC, IESCipher.ECIESwithCipher, IESCipher.ECIESwithDESede, IESCipher.ECIESwithDESedeCBC, IESCipher.OldECIES, IESCipher.OldECIESwithAES, IESCipher.OldECIESwithAESCBC, IESCipher.OldECIESwithCipher, IESCipher.OldECIESwithDESede, IESCipher.OldECIESwithDESedeCBC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IESCipher.ECIESwithCipher(BlockCipher cipher)`
    `IESCipher.ECIESwithCipher(BlockCipher cipher, int ivLength)`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.asymmetric.ec.IESCipher

      `engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate`

    - ### Methods inherited from class javax.crypto.CipherSpi

      `engineDoFinal, engineUnwrap, engineUpdate, engineUpdateAAD, engineUpdateAAD, engineWrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IESCipher.ECIESwithCipher

          public IESCipher.ECIESwithCipher(BlockCipher cipher)

    - #### IESCipher.ECIESwithCipher

          public IESCipher.ECIESwithCipher(BlockCipher cipher,
                                   int ivLength)